summaryrefslogtreecommitdiff
path: root/tools/perf
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf')
-rwxr-xr-xtools/perf/tests/shell/perf_sched_stats.sh37
1 files changed, 27 insertions, 10 deletions
diff --git a/tools/perf/tests/shell/perf_sched_stats.sh b/tools/perf/tests/shell/perf_sched_stats.sh
index 2b1410b050d0..bef7714ef37a 100755
--- a/tools/perf/tests/shell/perf_sched_stats.sh
+++ b/tools/perf/tests/shell/perf_sched_stats.sh
@@ -4,10 +4,29 @@
set -e
+perfdata=$(mktemp /tmp/__perf_test_sched_stats.perf.data.XXXXX)
+perfdata2=$(mktemp /tmp/__perf_test_sched_stats.perf.data.XXXXX)
+
+cleanup() {
+ rm -f "${perfdata}"
+ rm -f "${perfdata}".old
+ rm -f "${perfdata2}"
+ rm -f "${perfdata2}".old
+
+ trap - EXIT TERM INT
+}
+
+trap_cleanup() {
+ echo "Unexpected signal in ${FUNCNAME[1]}"
+ cleanup
+ exit 1
+}
+trap trap_cleanup EXIT TERM INT
+
err=0
test_perf_sched_stats_record() {
echo "Basic perf sched stats record test"
- if ! perf sched stats record true 2>&1 | \
+ if ! perf sched stats record -o "${perfdata}" true 2>&1 | \
grep -E -q "[ perf sched stats: Wrote samples to perf.data ]"
then
echo "Basic perf sched stats record test [Failed]"
@@ -19,15 +38,13 @@ test_perf_sched_stats_record() {
test_perf_sched_stats_report() {
echo "Basic perf sched stats report test"
- perf sched stats record true > /dev/null
- if ! perf sched stats report 2>&1 | grep -E -q "Description"
+ perf sched stats record -o "${perfdata}" true > /dev/null
+ if ! perf sched stats report -i "${perfdata}" 2>&1 | grep -E -q "Description"
then
echo "Basic perf sched stats report test [Failed]"
err=1
- rm perf.data
return
fi
- rm perf.data
echo "Basic perf sched stats report test [Success]"
}
@@ -44,16 +61,14 @@ test_perf_sched_stats_live() {
test_perf_sched_stats_diff() {
echo "Basic perf sched stats diff test"
- perf sched stats record true > /dev/null
- perf sched stats record true > /dev/null
- if ! perf sched stats diff > /dev/null
+ perf sched stats record -o "${perfdata}" true > /dev/null
+ perf sched stats record -o "${perfdata2}" true > /dev/null
+ if ! perf sched stats diff "${perfdata}" "${perfdata2}" > /dev/null
then
echo "Basic perf sched stats diff test [Failed]"
err=1
- rm perf.data.old perf.data
return
fi
- rm perf.data.old perf.data
echo "Basic perf sched stats diff test [Success]"
}
@@ -61,4 +76,6 @@ test_perf_sched_stats_record
test_perf_sched_stats_report
test_perf_sched_stats_live
test_perf_sched_stats_diff
+
+cleanup
exit $err